const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bima',
    'Kabupaten Dompu',
    'Kabupaten Lombok Barat',
    'Kabupaten Lombok Tengah',
    'Kabupaten Lombok Timur',
    'Kabupaten Lombok Utara',
    'Kabupaten Sumbawa',
    'Kabupaten Sumbawa Barat',
    'Kota Bima',
    'Kota Mataram'

    // 10
];

exports.seedNusaTenggaraBaratCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Nusa Tenggara Barat' },
    });

    if (!province) {
        console.error('❌ Province Nusa Tenggara Barat not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Nusa Tenggara Barat City seeded!.');
};